      subroutine plaa2j(imode,isel)
      implicit none

      INCLUDE 'inclk.h'
      INCLUDE 'grchad.inc'

      INTEGER MXDIM,NDMX,NDIM,NWILD,IG,NCALL,ITMX1,ITMX2
      DOUBLE PRECISION XL,XU,ACC1,ACC2
      PARAMETER (MXDIM = 50, NDMX = 50 )
      COMMON /BPARM1/ XL(MXDIM),XU(MXDIM),NDIM,NWILD,
     $     IG(MXDIM),NCALL
      COMMON /BPARM2/ ACC1,ACC2,ITMX1,ITMX2

      INTEGER JPROC
      COMMON /AMJPRC/JPROC

      CHARACTER GRCPROC*40
      COMMON/GRCCHAR/GRCPROC

      INTEGER i,imode,isel
      real*8  xsn(10),rna
      integer imrg,ijrg

C...Decide subprocess ID.
      if (imode.eq.1) then
         ijrg = 602
         imrg = 7
         xsn(2) = 0.5d0
         xsn(3) = 0.6d0
         xsn(4) = 0.8d0
         xsn(5) = 0.85d0
         xsn(6) = 0.9d0
         xsn(7) = 0.95d0
         rna = xrun(11)
         xsn(1) = 0.0d0
         xsn(imrg+1) = 1.0d0
         do i = 1,imrg
            if (rna.gt.xsn(i).and.rna.le.xsn(i+1)) then
               gpri(10) = (rna-xsn(i))/(xsn(i+1)-xsn(i))
               yacob = yacob/(xsn(i+1)-xsn(i))
               jproc = i + ijrg
            endif
         enddo

C...Set dimension and process character.
      else if (imode.eq.2) then
         ndim = 13  ! new
         if (isel.eq.152) grcproc = 'pp(bar)->AA + 2jets'
         if (isel.eq.603) grcproc = 'qg->AA + qg(ELWK2,QCD2)'
         if (isel.eq.604) grcproc = 'qq->AA + qq(ELWK2,QCD2)'
         if (isel.eq.605) grcproc = 'qq->AA + gg(ELWK2,QCD2)'
         if (isel.eq.606) grcproc = 'gg->AA + qq(ELWK2,QCD2)'
         if (isel.eq.607) grcproc = 'qq->AA + qq(ELWK2,QCD2)'
         if (isel.eq.608) grcproc = 'qq->AA + qq(ELWK2,QCD2)'
         if (isel.eq.609) grcproc = 'qq->AA + qq(ELWK2,QCD2)'

C...Initialize kinematic parameter.
      else if (imode.eq.3) then
         mxreg = 1
         ktype = 2499  ! new
         cxtype = 123456
         gtau(1) = 1
         gtau(14) = 1
         gyst(1) = 1
         gyst(14) = 1
         gq12(1) = 1
         gq12(2) = 10.0d0**2
         gq12(14) = 1
         gq22(2) = 10.0d0**2
         gq22(14) = 1

C...Set flavor and if necessary, decide weight of each phase space.
      else if (imode.eq.4) then
         isel = 1
      endif

      return
      end
