      subroutine pla2j(imode,isel)
      implicit none

      INCLUDE 'inclk.h'
      INCLUDE 'grchad.inc'

      INTEGER MXDIM,NDMX,NDIM,NWILD,IG,NCALL,ITMX1,ITMX2
      DOUBLE PRECISION XL,XU,ACC1,ACC2
      PARAMETER (MXDIM = 50, NDMX = 50 )
      COMMON /BPARM1/ XL(MXDIM),XU(MXDIM),NDIM,NWILD,
     $     IG(MXDIM),NCALL
      COMMON /BPARM2/ ACC1,ACC2,ITMX1,ITMX2

      INTEGER JPROC
      COMMON /AMJPRC/JPROC

      CHARACTER GRCPROC*40
      COMMON/GRCCHAR/GRCPROC

      INTEGER i,imode,isel
      real*8  xsn(10),rna
      integer imrg,ijrg

C...Decide subprocess ID.
      if (imode.eq.1) then
         ijrg = 611
         imrg = 7
         xsn(2) = 0.5d0
         xsn(3) = 0.6d0
         xsn(4) = 0.8d0
         xsn(5) = 0.85d0
         xsn(6) = 0.9d0
         xsn(7) = 0.95d0
         rna = xrun(8)
         xsn(1) = 0.0d0
         xsn(imrg+1) = 1.0d0
         do i = 1,imrg
            if (rna.gt.xsn(i).and.rna.le.xsn(i+1)) then
               gpri(10) = (rna-xsn(i))/(xsn(i+1)-xsn(i))
               yacob = yacob/(xsn(i+1)-xsn(i))
               jproc = i + ijrg
            endif
         enddo

C...Set dimension and process character.
      else if (imode.eq.2) then
         ndim = 9
         if (isel.eq.191) grcproc = 'pp(bar)->A + 2jets'
         if (isel.eq.612) grcproc = 'qg->A + qg(ELWK1,QCD2)'
         if (isel.eq.613) grcproc = 'qq->A + qq(ELWK1,QCD2)'
         if (isel.eq.614) grcproc = 'qq->A + gg(ELWK1,QCD2)'
         if (isel.eq.615) grcproc = 'gg->A + qq(ELWK1,QCD2)'
         if (isel.eq.616) grcproc = 'qq->A + qq(ELWK1,QCD2)'
         if (isel.eq.617) grcproc = 'qq->A + qq(ELWK1,QCD2)'
         if (isel.eq.618) grcproc = 'qq->A + qq(ELWK1,QCD2)'

C...Initialize kinematic parameter.
      else if (imode.eq.3) then
         mxreg = 1
         ktype = 2301
         cxtype = 12345
         gtau(1) = 1
         gtau(14) = 1
         gyst(1) = 1
         gyst(14) = 1
         gcos3(1) = 1
         gcos3(14) = 4
         gq12(1) = 1
         gq12(2) = 2.0d0**2
         gq12(14) = 2

C...Set flavor and if necessary, decide weight of each phase space.
      else if (imode.eq.4) then
         isel = 1
      endif

      return
      end
