C Initialization for the process 700, gg -> H -> AA.
C Hand-coded by S. Odaka on 13 Jul 2012, based on g600finit.f.
*-----------------------------------------------------------------------
*
************************************************************************
      subroutine g700finit
      implicit real*8(a-h,o-z)
      include 'inclk.h'
      integer kperm(4)

* Set KF-Code
      call amkfcd

* Set Mass**2
      call ammas2

* Permutation of external particles
      kperm(1) = 1
      kperm(2) = 2
      kperm(3) = 3
      kperm(4) = 4

* Particle name
      kmprtc(kperm(1)) = 'gluon'
      kmprtl(kperm(1)) = 5
      kmprtc(kperm(2)) = 'gluon'
      kmprtl(kperm(2)) = 5
      kmprtc(kperm(3)) = 'photon'
      kmprtl(kperm(3)) = 6
      kmprtc(kperm(4)) = 'photon'
      kmprtl(kperm(4)) = 6

* Masses of external particles
      amass1(kperm(1)) = amg
      amass1(kperm(2)) = amg
      amass1(kperm(3)) = ama
      amass1(kperm(4)) = ama
      amass2(kperm(1)) = amass1(kperm(1))**2
      amass2(kperm(2)) = amass1(kperm(2))**2
      amass2(kperm(3)) = amass1(kperm(3))**2
      amass2(kperm(4)) = amass1(kperm(4))**2

* Charge*3
      kcharg(kperm(1)) =   0
      kcharg(kperm(2)) =   0
      kcharg(kperm(3)) =   0
      kcharg(kperm(4)) =   0

* KFcode
      kfcode(kperm(1)) =  21
      kfcode(kperm(2)) =  21
      kfcode(kperm(3)) =  22
      kfcode(kperm(4)) =  22

*-----------------------------------------------------------------------
* initialization of summary table
C      call a600mclr

      return
      end
