C  Matrix element for the process 700: gg -> AA (1-loop)
C  Ref. E.L. Berger, E. Braaten and R.D. Field
C       Nucl. Phys. B239 (1984) 52
      subroutine me700( init, p, ans )
      implicit real*8(a-h,o-z)
      include 'inclk.h'
      real*8 p(4,4)
  
      if( init.gt.0 ) then
         call g700finit
      endif

      shat= ( p(4,1) +p(4,2) )**2 -( p(3,1) +p(3,2) )**2
     >     -( p(2,1) +p(2,2) )**2 -( p(1,1) +p(1,2) )**2
      that= ( p(4,1) -p(4,3) )**2 -( p(3,1) -p(3,3) )**2
     >     -( p(2,1) -p(2,3) )**2 -( p(1,1) -p(1,3) )**2
      uhat= ( p(4,1) -p(4,4) )**2 -( p(3,1) -p(3,4) )**2
     >     -( p(2,1) -p(2,4) )**2 -( p(1,1) -p(1,4) )**2

      valme= 1/2.d0*alpha**2 *alphas**2 *242.d0/81.d0 
     >     *( 1/8.d0 *(
     >     ( (shat**2 +that**2)/uhat**2 *( log(-shat/that) )**2
     >     +2*(shat -that)/uhat *log(-shat/that) )**2
     >     +( (shat**2 +uhat**2)/that**2 *( log(-shat/uhat) )**2
     >     +2*(shat -uhat)/that *log(-shat/uhat) )**2
     >     +( (that**2 +uhat**2)/shat**2 *( (log(that/uhat))**2 +pi**2 )
     >     +2*(that -uhat)/shat *log(that/uhat) )**2 )
     >     +1/2.d0 *(
     >     (shat**2 +that**2)/uhat**2 *( log(-shat/that) )**2
     >     +2*(shat -that)/uhat*log(-shat/that)
     >     +(shat**2 +uhat**2)/that**2 *( log(-shat/uhat) )**2
     >     +2*(shat-uhat)/that *log(-shat/uhat)
     >     +(that**2 +uhat**2)/shat**2 *( ( log(that/uhat) )**2 +pi**2 )
     >     +2*(that -uhat)/shat *log(that/uhat) )
     >     +pi**2/2.d0 *(
     >     ( (shat**2 +that**2)/uhat**2 *log(-shat/that)
     >     +(shat -that)/uhat )**2
     >     +( (shat**2 +uhat**2)/that**2 *log(-shat/uhat)
     >     +(shat -uhat)/that )**2 ) +4.d0 )
       
      ans= valme
      
      return
      end
