      subroutine me610( kf, p, ans )
C  Calculate the matrix element of the process 610: u g -> gamma u
      implicit real*8(a-h,o-z)
      include 'incl6101.h'
      include 'inclk.h'

      integer kf(4)
      real*8 p(4,4)

      call g610finit
      call a610mclr
C      call amparm

      do i=1,4
         pe6101(i) = p(i,1)
         pe6102(i) = p(i,2)
         pe6103(i) = p(i,3)
         pe6104(i) = p(i,4)
      enddo

      do i=1,4
         do j=1,4
            prod(i,j) = p(4,i)*p(4,j) -p(1,i)*p(1,j) 
     >           - p(2,i)*p(2,j) -p(3,i)*p(3,j)
         enddo
      enddo

      do i=1,4
         kfcode(i)= kf(i)
         amass2(i)= p(4,i)**2 -p(3,i)**2 -p(2,i)**2 -p(1,i)**2
         if( amass2(i).lt.0.d0 ) amass2(i)= 0.d0
         amass1(i)= sqrt( amass2(i) )
      enddo

      call a610kptbl
      call a610mptbl
      call a610mpsum( ansm )
      ans= ansm*aspin

      return
      end
