      subroutine me302( kf, p, ans )
C  Calculate the matrix element of the process 302: u ubar -> u ubar
      implicit real*8(a-h,o-z)
      include 'incl3021.h'
      include 'inclk.h'

      integer kf(4)
      real*8 p(4,4)

      iret= 0
      ans= 0.d0

      call g302finit
      call a302mclr
C      call amparm

      do i=1,4
         pe3021(i) = p(i,1)
         pe3022(i) = p(i,2)
         pe3023(i) = p(i,3)
         pe3024(i) = p(i,4)
      enddo

      do i=1,4
         do j=1,4
            prod(i,j) = p(4,i)*p(4,j) -p(1,i)*p(1,j) 
     >           - p(2,i)*p(2,j) -p(3,i)*p(3,j)
         enddo
      enddo

      do i=1,4
         kfcode(i)= kf(i)
         amass2(i)= p(4,i)**2 -p(3,i)**2 -p(2,i)**2 -p(1,i)**2
         if( amass2(i).lt.0.d0 ) amass2(i)= 0.d0
         amass1(i)= sqrt( amass2(i) )
      enddo

C  Graph selection in "grcusrfnc302".
      jselg(1) = 1
      jselg(2) = 1
      if (iabs(kfcode(1)).ne.iabs(kfcode(2))) then
         jselg(1) = 0
      endif
      if (iabs(kfcode(1)).ne.iabs(kfcode(3))) then
         jselg(2) = 0
      endif

      call a302kptbl
      call a302mptbl
      call a302mpsum( ansm )
      ans= ansm*aspin

      return
      end
