      subroutine me308( kf, p, ans )
C  Calculate the matrix element of the process 308: u d -> u d
      implicit real*8(a-h,o-z)
      include 'incl3081.h'
      include 'inclk.h'

      integer kf(4)
      real*8 p(4,4)

      call g308finit
      call a308mclr
C      call amparm

      do i=1,4
         pe3081(i) = p(i,1)
         pe3082(i) = p(i,2)
         pe3083(i) = p(i,3)
         pe3084(i) = p(i,4)
      enddo

      do i=1,4
         do j=1,4
            prod(i,j) = p(4,i)*p(4,j) -p(1,i)*p(1,j) 
     >           - p(2,i)*p(2,j) -p(3,i)*p(3,j)
         enddo
      enddo

      do i=1,4
         kfcode(i)= kf(i)
         amass2(i)= p(4,i)**2 -p(3,i)**2 -p(2,i)**2 -p(1,i)**2
         if( amass2(i).lt.0.d0 ) amass2(i)= 0.d0
         amass1(i)= sqrt( amass2(i) )
      enddo

      call a308kptbl
      call a308mptbl
      call a308mpsum( ansm )
      ans= ansm*aspin

      return
      end
